--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: Channel modes of type B need an argument
- !ruby/struct:SM::Flow::P 
  body: "Example: k (key)"
constants: []

full_name: Irc::Channel::ModeTypeB
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: reset
- !ruby/object:RI::MethodSummary 
  name: set
- !ruby/object:RI::MethodSummary 
  name: status
- !ruby/object:RI::MethodSummary 
  name: value
name: ModeTypeB
superclass: Mode
